API referenceEdits
List saved edits
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Query Parameters
cursor?string
Opaque composite pagination cursor from the previous response. Do not parse or construct it.
limit?integer
Number of items to return
Range
1 <= value <= 100Default
20Response Body
application/json
curl -X GET "https://example.com/v1/edits"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "latest_version": 0, "source_generation_id": "e1ac65c2-7daf-4b71-8f3c-c93f76f8126e", "created_at": "string", "updated_at": "string" } ], "meta": { "cursor": "string", "has_more": true }}